Subject: Sasami in school?
From: "Andy Sze (Rambling Baka/FOBio)" <[email-masked]>
To: [email-masked]
Date: Fri, 03 Apr 1998 02:25:02 +0100

since Tenchi has been out for so long and this ML having been going on for
sucha  long time I would guess this to be an old question.. bug go figure..
so here it goes.

OVA, and TV, Sasami and friends just fell from the sky and lived with the
Masaki's for a short periods.. several months at most.  However, in Shin
Tenchi and MNE, it's clear that Sasami, Ryoko, Aeka are permanent additions
tot he Masaki family.  Though Sasami has been alive for several hundred
years, she supposed to represent the physical age of a young girl.  Well,
my question is does she go to school?  Has she finished schooling?  How
long does it take an average Jurain to reach adult age?  Is there a
conversion factor between Jurain and Earth years?  Perhaps 1 earth year
would equal 20 Jurain years or something?

Andy....